#!/usr/bin/env bash

echo "Archivo generado con Patchwerk (c) mrm/AnimeUnderground"
echo
if [[ ! $(which xdelta3) ]]; then
	echo "Es necesario tener instalado xdelta3. Saliendo."
	exit -1
else
if [[ ! -f "[FnF] Hyouka - 08 [A982CF8D].mkv" ]]; then
		echo "No se encuentra el fichero de origen: [FnF] Hyouka - 08 [A982CF8D].mkv"
		exit -1
	fi

if [[ ! -f "Hyouka - 08 Parche para fuentes.xdelta" ]]; then
		echo "No se encuentra el parche: Hyouka - 08 Parche para fuentes.xdelta"
		exit -1
	fi

	echo "Archivo de origen: [FnF] Hyouka - 08 [A982CF8D].mkv"
	echo "Archivo de destino: [FnF] Hyouka - 08v2 [91629972].mkv"
	echo "Aplicando parche..."
	xdelta3 -f -d -s "[FnF] Hyouka - 08 [A982CF8D].mkv" "Hyouka - 08 Parche para fuentes.xdelta" "[FnF] Hyouka - 08v2 [91629972].mkv"
	echo "Parche aplicado."
fi

exit 0
